Bug 496718 - (mingw32-plotmm) Review Request: mingw32-plotmm - MinGW GTKmm plot widget for scientific applications
Review Request: mingw32-plotmm - MinGW GTKmm plot widget for scientific appli...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
http://sailer.fedorapeople.org
:
Depends On: mingw32-gtkmm24
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 15:55 EDT by Thomas Sailer
Modified: 2009-05-21 19:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.1.2-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-04-20 15:55:47 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-plotmm.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-plotmm-0.1.2-1.fc11.src.rpm
Description:
MinGW Windows C++ wrapper for libxml2.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Mattias Ellert 2009-04-26 01:06:23 EDT
Build fails:

+ libtoolize --force --copy
/var/tmp/rpm-tmp.sWKsRh: line 44: libtoolize: command not found

Missing BuildRequires on: libtool, automake, autoconf.
Comment 3 Mattias Ellert 2009-04-28 09:23:20 EDT
Fedora review mingw32-plotmm-0.1.2-2.fc11.src.rpm 2009-04-28

* OK
! needs attention

* rpmlint output
  Only expected Errors/Warnings from a mingw package

* Package is named according to Fedora mingw packaging guidelines

* Spec file is named as the package

* Package follows the Fedora mingw packaging guidelines

* The package's license is LGPLv2, which is Fedora approved

* The license is the same as the corresponding native package

* The license file (COPYING) in the sources is packaged as %doc

* The spec file is written in legible English

* Source matches upstream

d8a49db390be5de5965e52ef8d8581f3  plotmm-0.1.2.tar.gz
d8a49db390be5de5965e52ef8d8581f3  SRPM/plotmm-0.1.2.tar.gz

* According to guidelines the version should match the version of the
  corresponding Fedora package - which it does.

* Package builds in mock (Fedora 10)

* BuildRequires look sane

* Owns the directories it creates

* No duplicate files

* %files has %defattr

* %clean clears %buildroot

* Specfile uses macros consistently

* Package does not own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8



Package approved.
Comment 4 Thomas Sailer 2009-04-29 06:15:37 EDT
Thank you for the review.


New Package CVS Request
=======================
Package Name: mingw32-plotmm
Short Description:  MinGW GTKmm plot widget for scientific applications
Owners: sailer rjones
Branches: F-10 F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-04-30 00:48:00 EDT
cvs done.
Comment 6 Fedora Update System 2009-05-21 06:28:08 EDT
mingw32-plotmm-0.1.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-plotmm-0.1.2-2.fc11
Comment 7 Fedora Update System 2009-05-21 06:32:24 EDT
mingw32-plotmm-0.1.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-plotmm-0.1.2-2.fc10
Comment 8 Fedora Update System 2009-05-21 19:23:13 EDT
mingw32-plotmm-0.1.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-21 19:30:00 EDT
mingw32-plotmm-0.1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.